Subject: Re: Problems with Prolog v3.3.6

From: Jan Wielemaker <[email-masked]>
Date: Mon, 15 May 2000 10:46:40 +0200

Someone else with this problem?  What is hookdll.dll?  Certainly
nothing of SWI-Prolog.

	Regards --- Jan

On Sun, 14 May 2000, Alan Maxwell wrote:

>I've been using SWI-Prolog v3.2.7 for a while and recently checked your page to find the new version v3.3.6 (for Win9x). I downloaded and installed this to replace my existing version but every time I close the Prolog application (v3.3.6) I now get the following error message from Windows:
>
>PLWIN caused an invalid page fault in
>module HOOKDLL.DLL at 0177:00b74e9c.
>Registers:
>EAX=000000cc CS=0177 EIP=00b74e9c EFLGS=00010212
>EBX=00000008 SS=017f ESP=011af718 EBP=00b7b1b8
>ECX=00b791a0 DS=017f ESI=00ca0000 FS=433f
>EDX=00000008 ES=017f EDI=00ca0000 GS=0000
>Bytes at CS:EIP:
>8b 47 04 8b 0f 3b c2 89 4c 24 14 8b f1 8d 9f f8 
>Stack dump:
>00b791b8 00ca0000 00b7b1b8 00000008 00b74c9e 00ca0000 000000cc 00000008 00000000 00000000 bff76ec4 00000080 00b791a0 00b7488d 00000008 00000000
>
>I am using Windows98 Second Edition and wondered if you could offer any advice as to the reason for this error, the previous version had no such problems? I am going to try the v3.2.8 version (which is slightly newer than my v3.2.7) to see if that has the same problem.